Skip to content

Confirm Account Deletion Email

POST
/v1/account-deletion/email-confirmations/confirm
curl --request POST \
--url https://api.vocapable.com/v1/account-deletion/email-confirmations/confirm \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "token": "example" }'

Spend a one-time email proof and create/reconfirm its account’s request.

This route intentionally does not take a cookie: a person may open the link on a different device. The high-entropy, one-use token is the credential; trusted-origin validation ensures only the Vocapable portal can submit it from the fragment ceremony.

Media typeapplication/json
ActionTokenRequest
object
token
required
Token
string
>= 32 characters <= 512 characters
Examplegenerated
{
"token": "example"
}

Successful Response

Media typeapplication/json
AccountDeletionOverview
object
fresh_auth_method
required
Fresh Auth Method
string
Allowed values: password email_link
impact
required
AccountDeletionImpact
object
workspaces
required
Workspaces
Array<object>
WorkspaceImpact
object
tenant_id
required
Tenant Id
string
tenant_name
required
Tenant Name
string
tenant_status
required
Tenant Status
string
mobile_membership_role
required
Any of:
string
legacy_role
required
Any of:
string
has_active_subscription
required
Has Active Subscription
boolean
is_last_active_owner
required
Is Last Active Owner
boolean
active_membership_count
required
Active Membership Count
integer
legacy_user_count
required
Legacy User Count
integer
legacy_owner_workspace_count
required
Legacy Owner Workspace Count
integer
last_owner_workspace_count
required
Last Owner Workspace Count
integer
active_owner_subscription_workspace_count
required
Active Owner Subscription Workspace Count
integer
staff_identity_count
required
Staff Identity Count
integer
onboarding_application_count
required
Onboarding Application Count
integer
invitation_reference_count
required
Invitation Reference Count
integer
blockers
required
Blockers
Array<object>
AccountDeletionBlocker
object
code
required
Code
string
title
required
Title
string
detail
required
Detail
string
next_action
required
Next Action
string
request
required
Any of:
AccountDeletionRequestView
object
id
required
Id
string
status
required
Status
string
Allowed values: pending awaiting_owner_transfer awaiting_workspace_termination awaiting_staff_offboarding awaiting_retention_review processing completed refused
verification_method
required
Verification Method
string
Allowed values: password email_link
requested_at
required
Requested At
string format: date-time
confirmed_at
required
Confirmed At
string format: date-time
response_due_at
required
Response Due At
string format: date-time
processing_started_at
required
Any of:
string format: date-time
completed_at
required
Any of:
string format: date-time
refused_at
required
Any of:
string format: date-time
can_confirm_or_reconfirm
required
Can Confirm Or Reconfirm
boolean
retention_notices
required
Retention Notices
Array<object>
RetentionNotice
object
category
required
Category
string
handling
required
Handling
string
Example
{
"fresh_auth_method": "password",
"request": {
"status": "pending",
"verification_method": "password"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}